import * as core from "@terrascript/core";

export interface DomainDkimArgs extends core.ResourceArgs {
  domain: string | core.StringOut;
}

export class DomainDkim extends core.Resource<DomainDkimArgs> {
  @core.attr(String, { computed: true, kind: "array" })
  public dkimTokens!: core.Array<string> | core.ArrayOut<core.StringOut>;

  @core.attr(String)
  public domain!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DomainDkimArgs) {
    super(name, "aws_ses_domain_dkim", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
